package logs

import (
	"crypto/rand"
	"encoding/hex"
)

func NewSessionID() string {
	b := make([]byte, 8)
	n, err := rand.Read(b)
	if err != nil {
		return "UnknownSessionID"
	}
	return hex.EncodeToString(b[:n])
}
